Bug 433047 - traceback due to AttributeError: 'tuple' object has no attribute 'pkgtup'
traceback due to AttributeError: 'tuple' object has no attribute 'pkgtup'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 16:15 EST by Andrew Farris
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-08 00:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2008-02-15 16:15:19 EST
Description of problem:
traceback due to AttributeError: 'tuple' object has no attribute 'pkgtup'
When updating development with skip-broken

Version-Release number of selected component (if applicable):
yum-3.2.11-1.fc9.noarch


> yum -y --skip-broken update

--> Finished Dependency Resolution
vlc-core-0.8.6d-3.lvn9.2.i386 from installed has depsolving problems
  --> Missing Dependency: libavformat.so.51 is needed by package
vlc-core-0.8.6d-3.lvn9.2.i386 (installed)
java-1.5.0-gcj-1.5.0.0-19.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: /usr/lib/security/classpath.security is needed by
package java-1.5.0-gcj-1.5.0.0-19.fc9.i386 (installed)
1:anjuta-2.2.0-4.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: libgbf-1.so.0 is needed by package
1:anjuta-2.2.0-4.fc9.i386 (installed)
1:anjuta-2.2.0-4.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: libgbf-widgets-1.so.0 is needed by package
1:anjuta-2.2.0-4.fc9.i386 (installed)
ffmpeg2theora-0.20-1.lvn9.i386 from installed has depsolving problems
  --> Missing Dependency: libavformat.so.51 is needed by package
ffmpeg2theora-0.20-1.lvn9.i386 (installed)
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 237, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 152, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 633, in
buildTransaction
    rescode, restring = self._skipPackagesWithProblems(rescode, restring)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 654, in
_skipPackagesWithProblems
    self._getPackagesToRemove(wpo, depTree, toRemove)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 734, in
_getPackagesToRemove
    for txmbr in self.tsInfo.getMembers(po.pkgtup):
AttributeError: 'tuple' object has no attribute 'pkgtup'
Comment 1 Andrew Farris 2008-02-15 20:28:09 EST
--disablerepo=livna-development does not change this
Comment 2 Andrew Farris 2008-02-16 15:26:43 EST
This error also occurs with yum pulled from git moments ago.  Clean all doesn't
fix it.
Comment 3 James Antill 2008-02-16 17:37:39 EST
 Ok, can you try commit:

29cbf227ce0943f0fd5d5ad8c9b18e02c84887a5

...from the upstream git.
Comment 4 Andrew Farris 2008-02-16 18:42:30 EST
15:33:16  |lordmorgul.cirithungol:3| |27 files:708K@yum| |0 jobs|
> git checkout 29cbf227ce0943f0fd5d5ad8c9b18e02c84887a5
Note: moving to "29cbf227ce0943f0fd5d5ad8c9b18e02c84887a5" which isn't a local
branch
If you want to create a new branch from this checkout, you may do so
(now or later) by using -b with the checkout command again. Example:
  git checkout -b <new_branch_name>
HEAD is now at 29cbf22... Convert the pkgtup back into a po, bug#433047

15:40:58  |lordmorgul.cirithungol:3| |27 files:708K@yum| |0 jobs|
> sudo ./yummain.py update
Password: 
Loaded plugins: dellsysidplugin, fastestmirror, fedorakmod, priorities, protect-
              : packages, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * livna-development: livna.cat.pdx.edu
 * development: ftp.applios.net
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
Traceback (most recent call last):
  File "./yummain.py", line 244, in <module>
    user_main(sys.argv[1:], exit_code=True)
  File "./yummain.py", line 237, in user_main
    errcode = main(args)
  File "./yummain.py", line 152, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/home/lordmorgul/src/yum/yum/__init__.py", line 622, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/home/lordmorgul/src/yum/yum/depsolve.py", line 663, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/home/lordmorgul/src/yum/yum/depsolve.py", line 742, in _resolveRequires
    self._working_po = tpos[0]
IndexError: list index out of range
Comment 5 James Antill 2008-02-16 22:03:05 EST
 Ok, second attempt ... try commit: 1d71971da64de3378bd3499abb1b61fd0353a6b4
(current HEAD).
Comment 6 Andrew Farris 2008-02-16 22:55:18 EST
That seems to have fixed it.  I tried on the i686 machine that had the error,
and on my vmware guest x86_64 which did not have the error, and both are working
fine with commit: 1d71971da64de3378bd3499abb1b61fd0353a6b4
Comment 7 Andrew Farris 2008-03-08 00:32:27 EST
Unless I'm mistaken this went into 3.2.12 so I'm closing rawhide.  I'm not able
to test the situation anymore (I tried rewinding git and it does not happen),
but it was fixed fine at the time.

Note You need to log in before you can comment on or make changes to this bug.